toolzerhub API Docs

Get user profile

Deprecated: use /v1/reddit/user-profile → instead. Returns the public profile for required username.

2 credits / requestBilled only on success

Deprecated

GET
/v2/reddit/user/profile

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username*string

Reddit username without the u/ prefix.

Length1 <= length
curl -X GET "https://example.com/v2/reddit/user/profile?username=Turbulent_Nerve3744" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}